#include <psemek/wgpu/command_buffer.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void command_buffer::set_label(std::string const & label)
	{
		wgpuCommandBufferSetLabel((WGPUCommandBuffer)get(), detail::to_string_view(label));
	}

	void command_buffer::reference(void * ptr)
	{
		wgpuCommandBufferAddRef((WGPUCommandBuffer)ptr);
	}

	void command_buffer::release(void * ptr)
	{
		wgpuCommandBufferRelease((WGPUCommandBuffer)ptr);
	}

}
